

package com.zcloud.modules.job.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.job.entity.ScheduleJobEntity;

import java.util.Map;

/**
 * 定时任务
 *
 *
 */
public interface ScheduleJobService extends IService<ScheduleJobEntity> {

	PageUtils queryPage(Map<String, Object> params);

	/**
	 * 保存定时任务
	 */
	void saveJob(ScheduleJobEntity scheduleJob);

	/**
	 * 更新定时任务
	 */
	void update(ScheduleJobEntity scheduleJob);

	/**
	 * 批量删除定时任务
	 */
	void deleteBatch(String[] jobIds);

	/**
	 * 批量更新定时任务状态
	 */
	boolean update(String jobId, int status);

	/**
	 * 立即执行
	 */
	void run(String jobId);

	/**
	 * 暂停运行
	 */
	void pause(String jobId);

	/**
	 * 恢复运行
	 */
	void resume(String jobId);
}
